<?php

if ( ! function_exists( 'cevian_select_disable_behaviors_for_header_vertical' ) ) {
	/**
	 * This function is used to disable sticky header functions that perform processing variables their used in js for this header type
	 */
	function cevian_select_disable_behaviors_for_header_vertical( $allow_behavior ) {
		return false;
	}
	
	if ( cevian_select_check_is_header_type_enabled( 'header-vertical', cevian_select_get_page_id() ) ) {
		add_filter( 'cevian_select_filter_allow_sticky_header_behavior', 'cevian_select_disable_behaviors_for_header_vertical' );
		add_filter( 'cevian_select_filter_allow_content_boxed_layout', 'cevian_select_disable_behaviors_for_header_vertical' );
	}
}